cordova.define("cordova-social-vk.SocialVk", function(require, exports, module) {
function SocialVk() {
    // Does nothing
};

SocialVk.prototype.init = function(appId, successCallback, errorCallback) {
    cordova.exec(successCallback, errorCallback, "SocialVk", "initSocialVk", [appId]);
};

SocialVk.prototype.login = function(permissions, successCallback, errorCallback) {
    cordova.exec(successCallback, errorCallback, "SocialVk", "login", [permissions]);
};

SocialVk.prototype.logout = function(successCallback, errorCallback) {
    cordova.exec(successCallback, errorCallback, "SocialVk", "logout", []);
};

// API methods

SocialVk.prototype.callApiMethod = function(method, params, successCallback, errorCallback) {
    cordova.exec(successCallback, errorCallback, "SocialVk", "callApiMethod", [method, params]);
}

module.exports = new SocialVk();

});
